For the complete documentation index, see llms.txt. This page is also available as Markdown.

Flow Version Variables

Create Flow Version Variable

post

Creates a new variable for a flow version. Requires a type and key, and optionally accepts a value, date_format, and secret flag.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

Body
typestringRequired
keystring · min: 1Required
valuestring · max: 1024Optional
date_formatstring · nullableOptional
secretstringOptional
Responses
200

Successful response

application/json
post/api/v1/flow-versions/{flow_version}/variables
POST /api/v1/flow-versions/{flow_version}/variables HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "type": "string",
  "key": "string",
  "value": "string",
  "date_format": null,
  "secret": false
}
{
  "data": {
    "id": 0,
    "flow_version_id": 0,
    "type": "string",
    "key": "string",
    "value": "string",
    "date_format": null,
    "secret": false,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z"
  }
}

Update Flow Version Variable

put

Updates an existing flow version variable. Accepts type, key, value, date_format, and secret flag.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

variablestringRequired

The variable identifier.

Body
typestringRequired
keystring · min: 1Required
valuestring · max: 1024Optional
date_formatstring · nullableOptional
secretstringOptional
Responses
200

Successful response

application/json
put/api/v1/flow-versions/{flow_version}/variables/{variable}
PUT /api/v1/flow-versions/{flow_version}/variables/{variable} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "type": "string",
  "key": "string",
  "value": "string",
  "date_format": null,
  "secret": false
}
{
  "data": {
    "id": 0,
    "flow_version_id": 0,
    "type": "string",
    "key": "string",
    "value": "string",
    "date_format": null,
    "secret": false,
    "created_at": "2024-01-01T00:00:00.000000Z",
    "updated_at": "2024-01-01T00:00:00.000000Z"
  }
}

Delete Flow Version Variable

delete

Permanently deletes a specific flow version variable.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
flow_versionstringRequired

The flow version identifier.

variablestringRequired

The variable identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/flow-versions/{flow_version}/variables/{variable}
DELETE /api/v1/flow-versions/{flow_version}/variables/{variable} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "string"
}

Last updated

Was this helpful?